1. rs691919's Avatar
    I am trying to update to OS 3.0.1 from 3.0 for my 3GS. I do not want to update to 3.1 in order to preserve the ability to jailbreak in the future. I downloaded the proper IPSW and shift-click on "Update" in iTunes to pull up the file (I have a PC). However, after extracting the file, I get the following error message: "This device isn't eligible for the requested build". Why is that? Is there a fix or am I doing something wrong?
    09-25-2009 11:42 PM
  2. AllTheWay's Avatar
    I am trying to update to OS 3.0.1 from 3.0 for my 3GS. I do not want to update to 3.1 in order to preserve the ability to jailbreak in the future. I downloaded the proper IPSW and shift-click on "Update" in iTunes to pull up the file (I have a PC). However, after extracting the file, I get the following error message: "This device isn't eligible for the requested build". Why is that? Is there a fix or am I doing something wrong?
    I am getting the same error. I figure this is because there is a newer version 3.1 OS out there and Apple want's you to upgrade to that.

    If anybody knows how to do this it would be greatly appreciated.

    1.) I attempted to upgrade in recovery mode to no avail.

    2.) I attempted to upgrade with no internet connection ( so apple could not verify if it) still didn't work.
    09-26-2009 03:05 PM
  3. bullitt3246's Avatar
    There is NO REAL difference between 3.0 and 3.0.1. Im sure you can not get 3.0.1. STAY AT 3.0.1 or your going to force yourself on 3.1

    NO need to do that anyways! there is no difference...


    ALSO I reread your post, the 3gs has to have APPLE sign off on any restore of the firmware. Apple is not signing firmwares that arent directly restored threw itunes. You WILL NOT be able to do any shift restore type of restore for the 3gs. This will only work for the 2G and 3G.

    Before you update to 3.1 Pm and I can try to troubleshoot for you if they are forcing you to restore. If you do you will restore and update to 3.1. I JUST did this to my brand new 32gig, I took it back for another one that had 3.0.1
    Last edited by bullitt3246; 09-26-2009 at 06:06 PM.
    09-26-2009 06:02 PM
  4. bullitt3246's Avatar
    I am getting the same error. I figure this is because there is a newer version 3.1 OS out there and Apple want's you to upgrade to that.

    If anybody knows how to do this it would be greatly appreciated.

    1.) I attempted to upgrade in recovery mode to no avail.

    2.) I attempted to upgrade with no internet connection ( so apple could not verify if it) still didn't work.
    if u are stuck in recover mode or dfu mode, pm me before you say f-it and update to 3.1. I can possibly help you get it out of that mode. It only worked for me 1-2 times then it would not release so i was forced to update..
    09-26-2009 06:10 PM
LINK TO POST COPIED TO CLIPBOARD